﻿using ProjectElectricLocomotive.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectElectricLocomotive.Entities
{
    public class EntityElectricLocomotive : EntityLocomotive
    {
        public Color AdditionalColor { get; private set; }
        public bool Horns { get; private set; }
        public bool SeifBatteries  { get; private set; }
        public EntityElectricLocomotive(int speed, double weight, Color bodyColor, Color additionalColor, bool horns, 
            bool seifBatteries) : base(speed, weight, bodyColor)
        {
            AdditionalColor = additionalColor;
            Horns = horns;
            SeifBatteries = seifBatteries;
        }

        public void SetAdditionalColor(Color color)
        {
            AdditionalColor = color;
        }
    }
}
