﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectElectricLocomotive.Entities
{
    public class EntityLocomotive
    {
        public int Speed { get; private set;}
        public double Weight { get; private set;}
        public Color BodyColor { get; private set;}
        public double Step => (double) Speed * 100 / Weight;
        public EntityLocomotive(int speed, double weight, Color bodyColor)
        {
            Speed = speed;
            Weight = weight;
            BodyColor = bodyColor;
        }

        public void SetColor(Color color)
        {
            BodyColor = color;
        }
    }
}
