﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace ProjectElectricLocomotive.Exceptions
{
    [Serializable]

    internal class LocoNotFoundException : ApplicationException
    {
        public LocoNotFoundException(int i) : base($"Не найден объект по позиции {i}") { }
        public LocoNotFoundException() : base() { }
        public LocoNotFoundException(string message) : base(message) { }
        public LocoNotFoundException(string message, Exception exception) : base(message, exception) { }
        protected LocoNotFoundException(SerializationInfo info, StreamingContext contex) : base(info, contex) { }

    }
}
